GET members Id Mailinglists

GET
/members/{id}/mailinglists

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Path Parameters

id*string

The unique identifier of the member whose mailing lists are retrieved.

Formatuuid

Query Parameters

includeYearlyRenewal?boolean

Whether to also include YearlyRenewalOnly lists (used by the yearly study-renewal page), not just General ones.

Response Body

OK

application/json
  1. response
[index: integer]?

Represents a mailing list together with whether a specific member is currently subscribed to it.

curl -X GET 'https://example.com/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/mailinglists'
[  {    "id": "string",    "name": "string",    "subscribed": true  }]